The Pegged Currencies object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

The Pegged Currencies object
{
  "id": "pegged-currencies_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z"
}
GET /api/accounts/pegged-currencies/{id}

Retrieve a pegged currencies

Retrieves the details of an existing pegged currencies. Supply the unique pegged currencies ID that was returned from a previous request.

Path parameters

id string required

The identifier of the pegged currencies to retrieve.

Returns

Returns the pegged currencies object if a valid identifier was provided.

GET /api/accounts/pegged-currencies/{id}
curl https://api.overplane.dev/api/accounts/pegged-currencies/pegged-currencies_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "pegged-currencies_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z"
}
GET /api/accounts/pegged-currencies

List all pegged currenciess

Returns a list of pegged currenciess. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of pegged currencies objects.

GET /api/accounts/pegged-currencies
curl https://api.overplane.dev/api/accounts/pegged-currencies \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "pegged-currencies_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/pegged-currencies

Create a pegged currencies

Creates a new pegged currencies object.

Returns

Returns the newly created pegged currencies object if the call succeeded.

POST /api/accounts/pegged-currencies
curl https://api.overplane.dev/api/accounts/pegged-currencies \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "pegged-currencies_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z"
}
PATCH /api/accounts/pegged-currencies/{id}

Update a pegged currencies

Updates the specified pegged currencies by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pegged currencies to update.

Returns

Returns the updated pegged currencies object.

PATCH /api/accounts/pegged-currencies/{id}
curl https://api.overplane.dev/api/accounts/pegged-currencies/pegged-currencies_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json"
Response
{
  "id": "pegged-currencies_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z"
}
DELETE /api/accounts/pegged-currencies/{id}

Delete a pegged currencies

Permanently deletes a pegged currencies. This cannot be undone.

Path parameters

id string required

The identifier of the pegged currencies to delete.

Returns

Returns a confirmation that the pegged currencies has been deleted.

DELETE /api/accounts/pegged-currencies/{id}
curl https://api.overplane.dev/api/accounts/pegged-currencies/pegged-currencies_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "pegged-currencies_abc123",
  "deleted": true
}

Line items

Child objects that belong to this pegged currencies. These are accessed via the parent's ID.

Pegged Currency Details

Attributes

idx integer
pegged_currencies_id string required
source_currency string
pegged_exchange_rate string
pegged_against string

Endpoints

GET /api/accounts/pegged-currency-details?parent_id={id}
POST /api/accounts/pegged-currency-details
PATCH /api/accounts/pegged-currency-details/{id}
DELETE /api/accounts/pegged-currency-details/{id}
POST /api/accounts/pegged-currency-details/reorder
Pegged Currency Details object
{
  "id": "pegged-currency-details_abc123",
  "idx": 1,
  "pegged_currencies_id": "pegged_currencies_id_example",
  "source_currency": "USD",
  "pegged_exchange_rate": "pegged_exchange_rate_example",
  "pegged_against": "pegged_against_example"
}